/*
 * Copyright (C) 1999 Uwe Ohse
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef MAUSCON_DNS_H
#define MAUSCON_DNS_H

#define DNS_SOFT -1
#define DNS_HARD -2

typedef struct dns_t {
	char *name;
	struct in_addr ip;
    int pref;
    struct dns_t *next;
} dns_t;
#ifndef P__
#define P__(x) x
#endif

	/* sorts it */
int dns_mx P__((const char *domain, dns_t **answer));
int dns_a P__((const char *domain, dns_t **answer));
int dns_txt P__((const char *domain, dns_t **answer));
int dns_ptr P__((struct in_addr *ip, dns_t **answer));

void dns_free_chain P__((dns_t *));



#endif
