/* groups.h: groupname handling, group specific flags */
/*
    Copyright (C) 1995 1996 1997 Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@ohse.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
*/
#ifndef MC_GROUPS_H
#define MC_GROUPS_H

typedef enum { TRI_NOTSET , TRI_FALSE, TRI_TRUE } TRISTATE;
/* Anordnung ist absicht! */
typedef enum { IMPORT_SKIP, IMPORT_OK, IMPORT_KILL } IMPORT_STATE;

typedef struct grp_data_t
{
	char *boxen;
	char *mausname;
	char *rfcname;
	char *default_followup;
	char *userinfo;
	char *approve;
	char *mausnet_distribution; /* alle Nachrichten in der Gruppe sollen ... */
	char *usenet_distribution; /* alle Nachrichten in der Gruppe sollen ... */
	char *path_entry;
	BOOLEAN checkgroups; /* checkgroups erzeugen mit der Gruppe? */
	BOOLEAN itg; /* ITG erzeugen mit der Gruppe? */
	IMPORT_STATE import_state;
	BOOLEAN no_export;
	TRISTATE mime_headers;
	TRISTATE mime_body;
	TRISTATE allow_transit;
	
	int dont_save; /* dummyeintrag */
	struct grp_data_t *next;
} grp_data_t;

#define LEER_GRP { NULL, NULL, NULL, NULL, NULL, NULL, \
	NULL, NULL, NULL, \
	FALSE, FALSE, FALSE, FALSE, TRI_NOTSET, TRI_NOTSET, TRI_NOTSET, 0, NULL}
extern grp_data_t leer_grp;

/* Libraryfunktionen zur Gruppennamenwandlung */
BOOLEAN grp_load_list(BOOLEAN keep_locked);
BOOLEAN grp_save_list(void);
grp_data_t * grp_suche_rfcname(const char *rfcname, const char *box);
grp_data_t * grp_suche_mausname(const char *mausname, const char *box);
BOOLEAN grp_create_rfcname (unsigned char *unconverted, uostr_t *to);
void grp_rename_mausgroup (const char *old, const char *neu, const char *box);
BOOLEAN grp_append_new(grp_data_t *new);
grp_data_t * grp_get_anker(void);
BOOLEAN grp_delete(grp_data_t *grp);

#endif
