#ifndef MAUSCONLIB_H1
#define MAUSCONLIB_H1

#include "mausconsys.h"
#include "error.h"
#include "uostr.h"
#include "entumlauten.h"
#include "xread.h"
#include "xwrite.h"
#include "lockfile.h"
#include "file_copy.h"
#include "str_ulong.h"
#include "casefuncs.h"


int parse_bool(char *s);

#if !defined(HAVE_STRCASECMP) && defined(HAVE_STRICMP)
#  define strcasecmp stricmp
#endif
#if !defined(HAVE_STRNCASECMP) && defined(HAVE_STRNICMP)
#  define strncasecmp strnicmp
#endif

/* sock.c */
/* der ifdef erspart die Notwendigkeit, stdio.h in jedem Modul zu includen,
 * da diese Headerdatei includen will */
#ifdef _IOLBF
 BOOLEAN fopen_service (const char *servicename, const char *host,
     FILE **fin, FILE **fout, char **errtext);
#endif
int open_service (const char *servicename, const char *host, char **errtext);

/* rfc.c */
char * rfc_getword (char *rpos, char **nextpos);

size_t xwrite_tty(int fd, const char *data, size_t count);
    /* "void * vp" is "struct iovec *vp" */
int xwritev (int fd, void *vp, int vpcount);


#define XNULLCHECK(ptr) \
	do { if (!(ptr)) \
		error_at_line(1,0,__FILE__, __LINE__, "out of memory"); \
	} while(0)

char *concat (const char *first,...);
char *xconcat (const char *first,...);
#include "xmalloc.h"

#define XMALLOC(x)    mauscon_xmalloc(x)
#define XSTRDUP(x)    mauscon_xstrdup(x)
#define XREALLOC(x,y) mauscon_xrealloc(x,y)
#define XCALLOC(x,y)  mauscon_xcalloc(x,y)

char *strtrim(char *s);
int strhalfcasecmp(const char *uplow, const char *low);
int strnhalfcasecmp(const char *uplow, const char *low, size_t n);

#if __STDC__
extern int asprintf (char **, const char *, ...);
#else
extern int asprintf ();
#endif

#endif
